//
//  ScreenOne.m
//  ViewSwitcher
//
//  Created by Ken Anderson on 10/18/11.
//  Copyright (c) 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ScreenOne.h"

#import "AppDelegate.h"
#import "ScreenTwo.h"
#import "ScreenThree.h"

@interface ScreenOne ()

@property (retain, nonatomic) UIButton* goToScreenTwo;
@property (retain, nonatomic) UIButton* goToScreenThree;
@property (retain, nonatomic) UILabel* screenOne;

- (void) goToScreenTwo:(UIButton*) sender;
- (void) goToScreenThree:(UIButton*) sender;

@end

@implementation ScreenOne

@synthesize goToScreenTwo=_goToScreenTwo;
@synthesize goToScreenThree=_goToScreenThree;
@synthesize screenOne=_screenOne;

- (void)viewDidUnload {
    self.goToScreenTwo = nil;
    self.goToScreenThree = nil;
    self.screenOne = nil;
    [super viewDidUnload];
}

- (void) dealloc {
    [_goToScreenTwo release];
    [_goToScreenThree release];
    [_screenOne release];
    [super dealloc];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    CGRect frame = CGRectMake(20, 10, 280, 50);

    self.screenOne = [[[UILabel alloc] initWithFrame:frame] autorelease];
    self.screenOne.textAlignment = UITextAlignmentCenter;
    self.screenOne.font = [UIFont boldSystemFontOfSize:17];
    self.screenOne.text = @"Screen One";
    
    frame = CGRectMake(20, 80, 280, 50);
    
    self.goToScreenTwo = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    self.goToScreenTwo.frame = frame;
    
    [self.goToScreenTwo setTitle: @"Go to Screen Two" forState: UIControlStateNormal];        
    [self.goToScreenTwo addTarget:self action:@selector(goToScreenTwo:) forControlEvents:UIControlEventTouchUpInside];

    frame = CGRectMake(20, 150, 280, 50);
    
    self.goToScreenThree = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    self.goToScreenThree.frame = frame;
    
    [self.goToScreenThree setTitle: @"Go to Screen Three" forState: UIControlStateNormal];        
    [self.goToScreenThree addTarget:self action:@selector(goToScreenThree:) forControlEvents:UIControlEventTouchUpInside];

    [self.view addSubview:self.screenOne];
    [self.view addSubview:self.goToScreenTwo];
    [self.view addSubview:self.goToScreenThree];
    
    self.view.backgroundColor = [UIColor colorWithRed:1.0 green:0.0 blue:0.0 alpha:0.8];
        
}

- (void) goToScreenTwo:(UIButton*) sender {
    
    AppDelegate* delegate = (AppDelegate*)[UIApplication sharedApplication].delegate;
    
    ScreenTwo* screenTwo = [[ScreenTwo alloc] initWithNibName:nil bundle:nil];
    [screenTwo autorelease];
    
    delegate.window.rootViewController = screenTwo;
    
}

- (void) goToScreenThree:(UIButton*) sender {
    [[[UIApplication sharedApplication] delegate] window].rootViewController = [[[ScreenThree alloc] initWithNibName:nil bundle:nil] autorelease];
}

@end
