//
//  ScreenThree.m
//  ViewSwitcher
//
//  Created by Ken Anderson on 10/18/11.
//  Copyright (c) 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ScreenThree.h"

#import "ScreenOne.h"
#import "ScreenTwo.h"

@interface ScreenThree ()

@property (retain, nonatomic) UIButton* goToScreenOne;
@property (retain, nonatomic) UIButton* goToScreenTwo;
@property (retain, nonatomic) UILabel* screenThree;

- (void) goToScreenOne:(UIButton*) sender;
- (void) goToScreenTwo:(UIButton*) sender;

@end

@implementation ScreenThree

@synthesize screenThree=_screenThree;
@synthesize goToScreenOne=_goToScreenOne;
@synthesize goToScreenTwo=_goToScreenTwo;


- (void)viewDidUnload {
    self.goToScreenOne = nil;
    self.goToScreenTwo = nil;
    self.screenThree = nil;
    [super viewDidUnload];
}

- (void) dealloc {
    [_goToScreenOne release];
    [_goToScreenTwo release];
    [_screenThree release];
    [super dealloc];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    CGRect frame = CGRectMake(20, 10, 280, 50);
    
    self.screenThree = [[[UILabel alloc] initWithFrame:frame] autorelease];
    self.screenThree.textAlignment = UITextAlignmentCenter;
    self.screenThree.font = [UIFont boldSystemFontOfSize:17];
    self.screenThree.text = @"Screen Three";
    
    frame = CGRectMake(20, 80, 280, 50);
    
    self.goToScreenOne = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    self.goToScreenOne.frame = frame;
    
    [self.goToScreenOne setTitle: @"Go to Screen One" forState: UIControlStateNormal];        
    [self.goToScreenOne addTarget:self action:@selector(goToScreenOne:) forControlEvents:UIControlEventTouchUpInside];
    
    frame = CGRectMake(20, 150, 280, 50);
    
    self.goToScreenTwo = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    self.goToScreenTwo.frame = frame;
    
    [self.goToScreenTwo setTitle: @"Go to Screen Two" forState: UIControlStateNormal];        
    [self.goToScreenTwo addTarget:self action:@selector(goToScreenTwo:) forControlEvents:UIControlEventTouchUpInside];
    
    [self.view addSubview:self.screenThree];
    [self.view addSubview:self.goToScreenOne];
    [self.view addSubview:self.goToScreenTwo];
    
    self.view.backgroundColor = [UIColor colorWithRed:0.0 green:0.0 blue:1.0 alpha:0.8];

}

- (void) goToScreenOne:(UIButton*) sender {
    [[[UIApplication sharedApplication] delegate] window].rootViewController = [[[ScreenOne alloc] initWithNibName:nil bundle:nil] autorelease];
}

- (void) goToScreenTwo:(UIButton*) sender {
    [[[UIApplication sharedApplication] delegate] window].rootViewController = [[[ScreenTwo alloc] initWithNibName:nil bundle:nil] autorelease];
}


@end
