//
//  ScreenTwo.m
//  ViewSwitcher
//
//  Created by Ken Anderson on 10/18/11.
//  Copyright (c) 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ScreenTwo.h"

#import "ScreenOne.h"
#import "ScreenThree.h"

@interface ScreenTwo ()

@property (retain, nonatomic) UIButton* goToScreenOne;
@property (retain, nonatomic) UIButton* goToScreenThree;
@property (retain, nonatomic) UILabel* screenTwo;

- (void) goToScreenOne:(UIButton*) sender;
- (void) goToScreenThree:(UIButton*) sender;

@end

@implementation ScreenTwo

@synthesize goToScreenOne=_goToScreenOne;
@synthesize goToScreenThree=_goToScreenThree;
@synthesize screenTwo=_screenTwo;

- (void)viewDidUnload {
    self.goToScreenOne = nil;
    self.goToScreenThree = nil;
    self.screenTwo = nil;
    [super viewDidUnload];
}

- (void) dealloc {
    [_goToScreenOne release];
    [_goToScreenThree release];
    [_screenTwo release];
    [super dealloc];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    CGRect frame = CGRectMake(20, 10, 280, 50);
    
    self.screenTwo = [[[UILabel alloc] initWithFrame:frame] autorelease];
    self.screenTwo.textAlignment = UITextAlignmentCenter;
    self.screenTwo.font = [UIFont boldSystemFontOfSize:17];
    self.screenTwo.text = @"Screen Two";
    
    frame = CGRectMake(20, 80, 280, 50);
    
    self.goToScreenOne = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    self.goToScreenOne.frame = frame;
    
    [self.goToScreenOne setTitle: @"Go to Screen One" forState: UIControlStateNormal];        
    [self.goToScreenOne addTarget:self action:@selector(goToScreenOne:) forControlEvents:UIControlEventTouchUpInside];
    
    frame = CGRectMake(20, 150, 280, 50);
    
    self.goToScreenThree = [UIButton buttonWithType:UIButtonTypeRoundedRect];
    self.goToScreenThree.frame = frame;
    
    [self.goToScreenThree setTitle: @"Go to Screen Three" forState: UIControlStateNormal];        
    [self.goToScreenThree addTarget:self action:@selector(goToScreenThree:) forControlEvents:UIControlEventTouchUpInside];
    
    [self.view addSubview:self.screenTwo];
    [self.view addSubview:self.goToScreenOne];
    [self.view addSubview:self.goToScreenThree];
    
    self.view.backgroundColor = [UIColor colorWithRed:0.0 green:1.0 blue:0.0 alpha:0.8];

}

- (void) goToScreenOne:(UIButton*) sender {
    [[[UIApplication sharedApplication] delegate] window].rootViewController = [[[ScreenOne alloc] initWithNibName:nil bundle:nil] autorelease];
}

- (void) goToScreenThree:(UIButton*) sender {
    [[[UIApplication sharedApplication] delegate] window].rootViewController = [[[ScreenThree alloc] initWithNibName:nil bundle:nil] autorelease];
}

@end
